import 'package:indigitall_flutter_plugin/core/api/responses/CoreResponse.dart';
import 'package:indigitall_flutter_plugin/core/callbacks/BaseCallback.dart';
import 'package:indigitall_flutter_plugin/core/models/ErrorModel.dart';
import 'package:indigitall_flutter_plugin/inapp/callbacks/ShowInAppCallback.dart';

class InAppResponse extends CoreResponse {
  InAppResponse(BaseCallback? callback) : super(callback);

  @override
  void processData(int responseCode, String responseMessage, String jsonString) {
    super.processData(responseCode, responseMessage, jsonString);
    Map map = Map();
    map[ErrorModel.MAP_ERROR_CODE] = statusCode;
    map[ErrorModel.MAP_ERROR_MESSAGE] = message;
    if (statusCode >= 200 && statusCode <300) {
      if (data.toString() == "{}") {
        statusCode = 403;
        message = "Campaign doesn't exist with the code";
        map[ErrorModel.MAP_ERROR_CODE] = statusCode;
        map[ErrorModel.MAP_ERROR_MESSAGE] = message;
       // if (callback != null) callback!.onFail(ErrorModel(map));
      } else {
        if (callback != null) {
          callback!.onSuccess(data);
        }
      }
    }else {
      if (callback != null) {
       // callback!.onFail(ErrorModel(map));
      }
    }
  }

}