
// import 'package:flutter_webview_plugin/flutter_webview_plugin.dart';
import 'package:indigitall_flutter_plugin/inapp/models/InApp.dart';
// import 'package:webview_flutter/webview_flutter.dart';

abstract class ShowInAppCallback {
  // void onLoad(InApp inApp, WebviewScaffold? webView);
  // //void onInAppError(String? inAppCode, WebView? webView, String message);
  // void onShowTimeFinished(InApp inApp, WebviewScaffold? webView, int showTime);
  void onInAppSuccess(InApp inApp);
  void onInAppError(String? message);
}

class ShowInAppHandler {
  ShowInAppCallback callback;

  ShowInAppHandler({required this.callback});

  // void onLoad(InApp inApp, WebviewScaffold? webView){
  //   callback.onLoad(inApp, webView);
  // }

  void onInAppError(String? message){
    callback.onInAppError(message);
  }

  // void onShowTimeFinished(InApp inApp, WebviewScaffold? webView, int showTime){
  //   callback.onShowTimeFinished(inApp, webView, showTime);
  // }

  void onInAppSuccess(InApp inApp) {
    callback.onInAppSuccess(inApp);
  }


}