
import 'package:indigitall_flutter_plugin/core/api/requests/CoreRequest.dart';
import 'package:indigitall_flutter_plugin/core/utils/PreferenceUtils.dart';

class CampaignInAppRequest extends CoreRequest{

  String _tag = "{tag}";

  String _deviceId = "";
  String? inAppId;

  CampaignInAppRequest() : super() {}

  Future<CoreRequest> getCampaignInAppRequest() async {
    if (inAppId != null) path[_tag] = inAppId!;
    params = await _createQueryString();
    return this;
  }

  Future<String> _createQueryString() async {
    _deviceId = await PreferenceUtils.getDeviceId();
    return CoreRequest.PARAM_DEVICE_ID + "=" + _deviceId;
  }
}