
import 'dart:async';

import 'package:flutter/cupertino.dart';
// import 'package:flutter_webview_plugin/flutter_webview_plugin.dart';
import 'package:indigitall_flutter_plugin/core/callbacks/BaseCallback.dart';
import 'package:indigitall_flutter_plugin/core/models/ErrorModel.dart';
import 'package:indigitall_flutter_plugin/inapp/callbacks/ShowInAppCallback.dart';
import 'package:indigitall_flutter_plugin/inapp/models/InApp.dart';
// import 'package:webview_flutter/webview_flutter.dart';

class InAppCallback extends BaseCallback {
  ShowInAppHandler? handler;
  // WebviewScaffold? webView;
  InApp? inApp;

  InAppCallback(ShowInAppHandler? handler){
    this.handler = handler;
  }

  @override
  void onFail(ErrorModel error) {
    handler?.onInAppError(error.errorMessage);
  }

  @override
  void onSuccess(Map map) {
    inApp = new InApp(map);
    onSuccessInApp(inApp!);
  }

  void onSuccessInApp(InApp inApp) async {
    handler?.onInAppSuccess(inApp);
    this.inApp = inApp;
    if (inApp.properties?.contentUrl != null) {
      var url =  inApp.properties!.contentUrl!;
      // var webViewTwo= WebView(
      //     initialUrl: inApp.properties!.contentUrl,
      //     javascriptMode: JavascriptMode.unrestricted,
      //     onWebViewCreated: (WebViewController webController) {
      //
      //     });
      //
      // webView = WebviewScaffold(url: url,
      //     withJavascript: true,
      //     // clearCache: true,
      //     // clearCookies: true,
      //     // withZoom: true,
      //     // scrollBar: false,
      //     // useWideViewPort: true,
      //     // withOverviewMode: true);
      // );
      // var flutterWvPlugin = new FlutterWebviewPlugin();
      //
      // if (inApp.properties?.showTime != null) {
      //    int showtime = inApp.properties!.showTime!;
      //    for(var i = 0; i < showtime; i++) {
      //      await Future.delayed(const Duration(seconds: 1), null);
      //    }
      //    // flutterWvPlugin.hide();
      //    handler?.onShowTimeFinished(
      //        inApp, webView, inApp.properties!.showTime!);
      //  }
      // handler?.onLoad(inApp, webView);
    }
  }

}