import 'package:indigitall_flutter_plugin/inapp/callbacks/ShowInAppCallback.dart';

abstract class PopUpCallback extends ShowInAppCallback{
  void didClicked();
  void didClosed();
  void didDismissed();

}

class PopUpHandler extends ShowInAppHandler{
  PopUpCallback popUpCallback;

  PopUpHandler({required this.popUpCallback}) : super(callback: popUpCallback);

  void didClicked() {
    popUpCallback.didClicked();
  }

  void didClosed() {
    popUpCallback.didClosed();
  }
  void didDismissed() {
    popUpCallback.didDismissed();
  }
}